INSTALL doc: session key must be made _before_ db structure
Status: Closed Start date: 2010-02-15
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Documentation Estimated time: 0.00 hour
Target version: 0.9.3

Resolution: Fixed Affected version:

Description

When trying to run step 4 in the INSTALL doc "rake db:migrate RAILS_ENV="production"

| get the mnessage "... A key is required to write a cookie containing the session data. Use config.action_controller.session = { :key

=>"_myapp_session", :secret => "some secret phrase" } in config/environment.rb"

Step 5 (running rake config/initializers/session_store.rb ) solves this - but usually people run these steps from top to bottom, so the
ordering should be changed :)

For the records: I'm working with redmine 0.9.2 here.

Associated revisions

Revision 3455 - 2010-02-19 19:52 - Jean-Philippe Lang
Fixes INSTALL and UPGRADING steps order (#4848).

History

#1 - 2010-02-15 19:20 - Jean-Philippe Lang

- Category set to Documentation

#2 - 2010-02-19 19:55 - Jean-Philippe Lang
- Status changed from New to Resolved
- Target version set to 0.9.3

- Resolution set to Fixed

Fixed in r3455. Thanks for pointing it out.

#3 - 2010-02-20 11:18 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 0.9-stable r3460.
